Subject: Re: [PATCH] mac80211: Fix TX after monitor interface is converted to managed

From: "John W. Linville" <[email-masked]>
Date: Thu, 4 Oct 2007 18:13:58 -0400

On Thu, Oct 04, 2007 at 02:31:26PM -0700, Roland Dreier wrote:
>  > Programming with assertions (and BUG_ON is a form of that) is
>  > generally a good practice.  Almost any book or other source on

> The problem with BUG_ON is that it kills the whole system.  So every
> time you add a BUG_ON into code, you have to weigh whether the problem
> you detected is so severe that the right response is to panic.  For
> example, I can see panicking on something fundamental like corrupted
> page tables.  However I would submit that the wireless stack should
> *never* use BUG_ON -- printing a warning and trying to limp on seems
> preferable to me.

OK, I'll buy that as an argument to use WARN_ON instead of BUG_ON.
But it doesn't invalidate the desire to have some sort of assertion.

John
-- 
John W. Linville
[email-masked]